package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class TempTabDelegati.
 * @see sicura.entities.TempTabDelegati
 * @author Hibernate Tools
 */
@Stateless
public class TempTabDelegatiHome {

	private static final Log log = LogFactory.getLog(TempTabDelegatiHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(TempTabDelegati transientInstance) {
		log.debug("persisting TempTabDelegati instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(TempTabDelegati persistentInstance) {
		log.debug("removing TempTabDelegati instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public TempTabDelegati merge(TempTabDelegati detachedInstance) {
		log.debug("merging TempTabDelegati instance");
		try {
			TempTabDelegati result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public TempTabDelegati findById(Integer id) {
		log.debug("getting TempTabDelegati instance with id: " + id);
		try {
			TempTabDelegati instance = entityManager.find(TempTabDelegati.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
